- Qt 5.15
- Qt Core
- C++ Classes
- QCborParserError
- Qt 5.15.19 Reference Documentation

# QCborParserError Struct

The QCborParserError is used by QCborValue to report a parsing error. More...

Header: | #include <QCborParserError>
qmake: | QT += core
Since: | Qt 5.12

This struct was introduced in Qt 5.12.

- List of all members, including inherited members

Note: All functions in this struct are reentrant.

## Public Functions

QString | errorString() const

## Public Variables

QCborError | error
qint64 | offset

## Detailed Description

This class is used by QCborValue::fromCbor(const QByteArray &ba, QCborParserError *error) to report a parser error and the byte offset where the error was detected.

See also QCborValue and QCborError.

## Member Function Documentation

### QString QCborParserError::errorString() const

Returns a string representation of the error code. This string is not translated.

See also QCborError::toString() and QCborValue::fromCbor().

## Member Variable Documentation

### QCborError QCborParserError::error

This field contains the error code that indicates what decoding problem was found.

See also QCborValue::fromCbor().

### qint64 QCborParserError::offset

This field contains the offset from the beginning of the data where the error was detected. The offset should point to the beginning of the item that contained the error, even if the error itself was elsewhere (for example, for UTF-8 decoding issues).

See also QCborValue::fromCbor().